Bug 1290289 - Remove any reference to IPA
Remove any reference to IPA
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide (Show other bugs)
7.3
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Aneta Šteflová Petrová
Namita Soman
: Documentation, EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 00:07 EST by David O'Brien
Modified: 2016-07-29 03:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1259838
Environment:
Last Closed: 2016-07-29 03:22:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David O'Brien 2015-12-10 00:07:58 EST
+++ This bug was initially created as a clone of Bug #1259838 +++

Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/User_Guide/index.html#chap-Red_Hat_Satellite-User_Guide-Configuring_Identity_Management_in_Red_Hat_Satellite


Describe the issue: 

There are a couple of references to IPA or "Identity, Policy, and Audit." There is no RHEL product called IPA anymore. Its proper name is Red Hat Enterprise Linux Identity Management.

Suggestions for improvement: 
All references to "Identity, Policy,and Audit" or IPA need to be removed.

--- Additional comment from Andrew Dahms on 2015-12-09 17:26:21 EST ---

Raising needinfo against daobrien.

David - could you take a look at the changes for this bug?

--- Additional comment from David O'Brien on 2015-12-09 23:40:22 EST ---

Comments:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/Linux_Domain_Identity_Authentication_and_Policy_Guide/index.html#about-sudo

"19.1. About sudo and IPA" --> Separate bug for platform group?

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/Linux_Domain_Identity_Authentication_and_Policy_Guide/index.html#example-configuring-sudo-sssd

Some examples use "domains = IPADOMAIN" which *may* require patching. -> Platform group.

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/Linux_Domain_Identity_Authentication_and_Policy_Guide/index.html#config-selinux-ui

"click the IPA Server main tab" mentioned more than once. --> Platform group.

Summary: the Policy Guide referenced above also needs to be fixed.


cheers
Comment 2 Aneta Šteflová Petrová 2016-06-22 10:39:44 EDT
All current instances of "IPA" seem valid to me. The invalid ones seem to have already been fixed.

> 
> There are a couple of references to IPA or "Identity, Policy, and Audit."
> There is no RHEL product called IPA anymore. Its proper name is Red Hat
> Enterprise Linux Identity Management.

Actually, the proper name is "Red Hat Identity Management" (https://access.redhat.com/products/identity-management/ )

> 
> Suggestions for improvement: 
> All references to "Identity, Policy,and Audit" or IPA need to be removed.

No references to "Identity, Policy,and Audit" are present in the book.

Several references to "IPA" remain - however, these are valid (for example, in command outputs).

> Comments:
> https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/
> html-single/Linux_Domain_Identity_Authentication_and_Policy_Guide/index.
> html#about-sudo
> 
> "19.1. About sudo and IPA" --> Separate bug for platform group?

This title is no longer present in the book.

> 
> https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/
> html-single/Linux_Domain_Identity_Authentication_and_Policy_Guide/index.
> html#example-configuring-sudo-sssd
> 
> Some examples use "domains = IPADOMAIN" which *may* require patching. ->
> Platform group.

I think this is okay in a config file example.

> 
> https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/
> html-single/Linux_Domain_Identity_Authentication_and_Policy_Guide/index.
> html#config-selinux-ui
> 
> "click the IPA Server main tab" mentioned more than once. --> Platform group.

This is okay - the tab in the UI is actually labeled "IPA Server".

Note You need to log in before you can comment on or make changes to this bug.